Bug 42039 - Exceptional condition in installation
Exceptional condition in installation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-23 18:25 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-31 13:54:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-23 18:25:39 EDT
Description of Problem:
Installation dies

How Reproducible:
Don't know

Steps to Reproduce:
1.Install Linux 
2. 
3. 

Actual Results:
A window telling me to come here but not telling me I'd have to register 
and spend a lot of time just as I'm trying to get to a dinner engagement.

Expected Results:
A computer that runs Linux

Additional Information:
Traceback (innermost last):
File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py" line 
20, in run
rc=self.todo.doInstall()
File  ...anaconda/todo.py line 1480, indoInstall
if self.method.systemMounted (self.fstab,self.instPath,self.hdList.selected
()):
File ..image.py , line 46, insystemMounted
self.loopbackFile=mntPoint+fstab.filesystemSpace(mntPoint)[0][0]+\
File ...anaconda/fstab.py, line 358, infilesystemSpace
space.append((mntpoint,isys.fsSpaceAvailable(topMount+'/'+mntpoint)))
File "/usr/lib/anaconda/isys.py",line 16, in fsSpaceAvailable
return _isys.devSpaceFree(fsystem)
SystemError: (2,'No such file or directory')
Comment 1 Need Real Name 2001-05-24 22:38:29 EDT
I tried it again with fewer packages and it seemed happy.  Still does but it's 
thrashing the hard disk now.  Seems to have been a strange little thing.
Comment 2 Brent Fox 2001-05-24 23:56:36 EDT
I'm curious if you could duplicate this with 7.1.  I've done a search in
Bugzilla, and this is the first report of this type that we've seen.  It seems
to be an uncommon bug.
Comment 3 Brent Fox 2001-05-31 13:54:28 EDT
If you get a chance to try 7.1 and the behavior reappears, please reopen this
bug.  Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.